%define debug_package %{nil}
%define uname	Eigen3

Name:		eigen3
Summary:	Lightweight C++ template library for vector and matrix math
Version:	3.4.0
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
URL:		http://eigen.tuxfamily.org/
Source0: 	https://gitlab.com/libeigen/eigen/-/archive/%{version}/eigen-%{version}.tar.bz2
BuildRequires: cmake
BuildRequires: pkgconfig
BuildRequires: lib64freeglut-devel
BuildRequires: gcc-gfortran
BuildRequires: lib64fftw-devel
BuildRequires: suitesparse-devel
BuildRequires: lib64boost-devel

Obsoletes: lib64eigen3-devel
Provides: lib64eigen3-devel = %version-%release

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -qn eigen-%{version}

%build
export CXXFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"
export CFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"

%cmake
%cmake_build

%install
%cmake_install

pushd %{buildroot}%_includedir
	mkdir %{name}
	ln -s ../Eigen %{name}
popd


%pretrans -p <lua>
path = "%{_includedir}/eigen3/Eigen"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files
%{_includedir}/signature_of_%{name}_matrix_library
%{_includedir}/Eigen/*
%{_includedir}/%{name}/*
%{_includedir}/unsupported/Eigen/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{name}/cmake/*


%changelog
* Tue Jan 10 2023 pp - 3.4.0-1pclos2023
- new version

* Sun Jul 05 2020 tex - 3.3.7-1pclos2020
- 3.3.7
